#!/bin/sh
from=""
to=""
for line in `uniq $1` ; do
	if [ "x$from" == "x" ] ; then
		from=$line
	else
		to=$line
		f=`find . -name $from.png`
		if [ "x$f" != "x" ]; then
			regexp='ipad'
			if [[ $from =~ $regexp ]] || [[ $to =~ $regexp ]]; then 
				echo "skip $from"
			else
				t=`echo "$f" | sed -e 's/\.png$//' | sed -e 's/\/[A-Za-z_\@0-9]*$//'`
				t="$t/$to.png"
				echo "rename $f to $t"
				git mv "$f" "$t"
			fi
		fi
		from=""
		to=""
	fi
done

for file in `find . -name *_iPad.png`; do
	to=`echo $file | sed -e 's/_iPad\.png$/_ipad\.png/'`
	echo "rename $file to $to"
	git mv "$file" "$to.tmp"
	git mv "$to.tmp" "$to"
done

for file in `find . -name *_HD.png`; do
	to=`echo $file | sed -e 's/_HD\.png$/\@2x\.png/'`
	echo "rename $file to $to"
	git mv "$file" "$to"
done